Author Topic: Virtuemart auto-update fails - please help to solve! Thanks!  (Read 49956 times)

Don Gould NZ

  • Beginner
  • *
  • Posts: 23
Re: Virtuemart auto-update fails - please help to solve! Thanks!
« Reply #30 on: July 20, 2012, 14:27:18 pm »
We got an update about this, seems like that some people got this error
" PHP Warning:  gzinflate() [<a href='function.gzinflate'>function.gzinflate</a>]: data error in"

and

"gzip: stdin: invalid compressed data--format violated
tar: Skipping to next header
tar: Child returned status 1
tar: Error is not recoverable: exiting now"

Maybe some tar.gz pro can tell us, why our tar.gzip programs work wrong. Btw, we used a windows and mac program, seems to be the same problem.

Ok this is not making sense to me.

I downloaded the tar.gz then just used the extension updater to load it up.

So what's the difference?  Has the wheel been rewritten and is the same bit of code not being used?

Having said this, I won't be using either tool again in a hurry...  took me 2 hours just to get my site mostly back to where I was when I started.

I half wonder if some sort of git patch system would be better that would let me pick and choose changes and alert me before stuff is just over written....

..and example was the GB language ini which was just over written with a new file but over looked that I've got modifications for my local country (New Zealand), and from what I can tell this was just done to add 1 new string to the file.

Please don't get me wrong guys, I'm not trying to kick the gift horse in the mouth, and I've been using VM for quite some time now, I'm here wanting to discuss the issues and am interested to hear feed back :)

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 28391
  • Always on vacation
    • Jenkin Hill Internet
Re: Virtuemart auto-update fails - please help to solve! Thanks!
« Reply #31 on: July 21, 2012, 10:52:53 am »
Quote
..and example was the GB language ini which was just over written with a new file but over looked that I've got modifications for my local country (New Zealand), and from what I can tell this was just done to add 1 new string to the file.

Exactly the reason why VM2 is enabled to use language overrides. These do not get overwritten.
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VirtueMart 4.0.8 10748  J3.10.11 PHP 7.4.30

Don Gould NZ

  • Beginner
  • *
  • Posts: 23
Re: Virtuemart auto-update fails - please help to solve! Thanks!
« Reply #32 on: July 21, 2012, 12:28:23 pm »
Exactly the reason why VM2 is enabled to use language overrides. These do not get overwritten.

Cool... can you point me to instructions to set that up?  I looked about for a language stuff but couldn't find it.

I was also wondering if I should submit a New Zealand file with more 'NZ' friendly language in it?

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 28391
  • Always on vacation
    • Jenkin Hill Internet
Re: Virtuemart auto-update fails - please help to solve! Thanks!
« Reply #33 on: July 21, 2012, 16:10:07 pm »
http://forum.virtuemart.net/index.php?topic=92944.0

And more information on languages in that forum section. http://forum.virtuemart.net/index.php?board=129.0  You could creat a Kiwi friendly language file, but it would have to be all as overrides unless Joomla itself has a selector for that language.
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VirtueMart 4.0.8 10748  J3.10.11 PHP 7.4.30

Tirrawarra

  • Beginner
  • *
  • Posts: 36
Re: Virtuemart auto-update fails - please help to solve! Thanks!
« Reply #34 on: July 24, 2012, 17:26:41 pm »
Steve
============
a) Apache/2.2.21 (Unix)
b) 5.3.8
c) 5.1.62-cll
d0 memory_limit   128M
e) max_execution_time   30
f) Joomla! 2.5.6
g)  2.0.6
h)  2.0.8e
i) Unable to decompress data Extracting the update package failed. Please try updating the extension manually.
j) no - all writeable
k) manual updates via Extensions >> Extensions Manager >>  Upload Package File - also failed error message "Unable to find install package"

also can not find documentation about how to FTP files over existing? (was easy work around in earlier versions but new versions include 'install' directory - so not sure if can safely upload and leave??




franzpeter

  • 3rd party VirtueMart Developer
  • Jr. Member
  • *
  • Posts: 467
    • 2in1-online | Software, Mac, PC, Netzwerk, Drucker, Pad, Display
  • VirtueMart Version: Virtuemart 3.2.6
Re: Virtuemart auto-update fails - please help to solve! Thanks!
« Reply #35 on: July 26, 2012, 10:52:40 am »
It is a server issue. Joomla does obviously use allow_url_fopen instead of using curl. It may be deactivated for security reasons in the server php.ini.

bladerz

  • Beginner
  • *
  • Posts: 13
Re: Virtuemart auto-update fails - please help to solve! Thanks!
« Reply #36 on: September 03, 2012, 18:51:29 pm »
a) Server system: Apache/2.2.16 (Debian)
b) PHP-version:  5.3.3-7+squeeze14
c) SQL-version: 5.1.63-0+squeeze1
d) memory_limit: 1024M
e) max_execution_time: 500
f) Exact Joomla! version: 2.5.6
g) Exact Virtuemart version BEFORE update: 2.0.8e
h) Exact Virtuemart version of the update you want to: 2.0.10
i) Displayed error message: Extracting the update package failed. Please try updating the extension manually.
j) Any not writable directory Permissions? No
k) Optional: Any other info?

The problem seems to be that php does not recognize the zip file. I used this simple script to check this:
<?php

        $zip = new ZipArchive;
        $res = $zip->open('com_virtuemart_allinone.update.zip');
        echo $res ."\n";
        var_dump($res);
        print_r($zip);
        var_dump($zip);
     if ($res === TRUE) {
         $zip->extractTo('update/');
         $zip->close();
         echo 'ok';
     } else {
         echo 'failed';
     }
?>

The result is:
19
int(19)
ZipArchive Object
(
    [status] => 0
    [statusSys] => 0
    [numFiles] => 0
    [filename] =>
    [comment] =>
)
object(ZipArchive)#1 (5) {
  ["status"]=>
  int(0)
  ["statusSys"]=>
  int(0)
  ["numFiles"]=>
  int(0)
  ["filename"]=>
  string(0) ""
  ["comment"]=>
  string(0) ""
}
failed

The error code 19 above means (according to http://www.php.net/manual/en/ziparchive.open.php)
ZIPARCHIVE::ER_NOZIP - 19
Not a zip archive. 

The same problem occurs both for vm and aio packages.

The script above works OK with any other zip file. The normal result with another file is:
1
bool(true)
ZipArchive Object
(
    [status] => 0
    [statusSys] => 0
    [numFiles] => 25
    [filename] => /var/www/my.website.dir/tmp/pkg.zip
    [comment] =>
)
object(ZipArchive)#1 (5) {
  ["status"]=>
  int(0)
  ["statusSys"]=>
  int(0)
  ["numFiles"]=>
  int(25)
  ["filename"]=>
  string(44) "/var/www/my.website.dir/tmp/pkg.zip"
  ["comment"]=>
  string(0) ""
}
ok

The problem looks like the zip archive is created in some way that php can not recognize it.

Jason Farmer

  • Beginner
  • *
  • Posts: 49
Re: Virtuemart auto-update fails - please help to solve! Thanks!
« Reply #37 on: October 27, 2012, 23:34:20 pm »
a) Server system : no idea
b) PHP-version  : no idea
c) SQL-version : no idea
d) memory_limit : no idea
e) max_execution_time : no idea
f) Exact Joomla! version: Joomla! 2.5.6
g) Exact Virtuemart version BEFORE update : 2.0.12d
h) Exact Virtuemart version of the update you want to : 2.0.12f
i) Displayed error message: Fatal error: Cannot pass parameter 2 by reference in /home/demovir/public_html/administrator/components/com_virtuemart/liveupdate/classes/download.php on line 40
j) Any not writable directory Permissions? : none alerted
k) Optional: Any other info? : http://demo.virtuemart.net username: demo password: demo  :) -  joomla extensions manager is off limits in the demo, so its stuck here till an admin upgrades
DevelopmentProduction
VirtueMart  
2.0.12b
1.1.3
Joomla!  
2.5.6
1.5.14
Mysql 
5.5.8
5.0.51
PhP  
5.3.5
5.2.4

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 10478
  • VM4.0.7 Eagle Owl
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: Virtuemart auto-update fails - please help to solve! Thanks!
« Reply #38 on: December 17, 2012, 01:46:34 am »

also can not find documentation about how to FTP files over existing? (was easy work around in earlier versions but new versions include 'install' directory - so not sure if can safely upload and leave??

Very simple. The installer is already exactly the directory structure, except that the xml is not in it and the additional "install" directory. just delete this "install" directory, it is need for j2.5. then go to tools and execute update tables. and check the wiki http://dev.virtuemart.net/projects/virtuemart/wiki and our new http://docs.virtuemart.net/

"Extracting the update package failed. Please try updating the extension manually." is usually a server issue.
Should I fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

martino46

  • Beginner
  • *
  • Posts: 8
Re: Virtuemart auto-update fails - please help to solve! Thanks!
« Reply #39 on: October 30, 2013, 05:50:54 am »
Hi VM Team,

Here is my details. MY issue is also that VM live update is not working all of a sudden (says Live update is not supported). And also very strangely, my menus of VM (Products, Product categories, shoppers etc) on the left dissappeared...I can send a screenshot if needed...

PHP Built On    Linux host5.axxessdns.co.za 2.6.18-194.32.1.el5 #1 SMP Wed Jan 5 17:52:25 EST 2011 x86_64
Database Version    5.0.96-community
Database Collation    utf8_general_ci
PHP Version    5.3.10
Web Server    Apache/2.2.22 (Unix) mod_ssl/2.2.22 OpenSSL/0.9.8e-fips-rhel5 mod_bwlimited/1.4
WebServer to PHP Interface    cgi-fcgi
Joomla! Version    Joomla! 2.5.14 Stable [ Ember ] 01-August-2013 14:00 GMT
Joomla! Platform Version    Joomla Platform 11.4.0 Stable [ Brian Kernighan ] 03-Jan-2012 00:00 GMT
User Agent    Mozilla/5.0 (Windows NT 6.1; rv:24.0) Gecko/20100101 Firefox/24.0

hope to hear from you soon!

tx!

martino46

  • Beginner
  • *
  • Posts: 8
Re: Virtuemart auto-update fails - please help to solve! Thanks!
« Reply #40 on: October 30, 2013, 06:17:10 am »
Hi Team,

got the "vanished menu" on the left of VM fixed.

herewith the topic that solved that issue...http://forum.virtuemart.net/index.php?topic=119901.msg408185#msg408185

Still cannot update live anymore though...

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 10478
  • VM4.0.7 Eagle Owl
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Should I fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

mronayne

  • Beginner
  • *
  • Posts: 45
Re: Virtuemart auto-update fails - please help to solve! Thanks!
« Reply #42 on: February 20, 2015, 01:33:51 am »
Just tried updating to Version 3.0.6 and no matter what I do I keep being told by Joomla that VirtueMart AIO need to be updated. I tried the automatic update via Joomla and I even downloaded the latest from your site and manually tried to install. Still being told that AIO needs to be updated!

I just checked and the Joomla Extension Manager is showing All in One as being at version 3.0.4.2 so it isn't getting updated...!

Ok, So I uninstalled the VirtueMart_allinone Component completely, and reinstalled it from this file which I just downloaded (com_virtuemart.3.0.6_ext_aio.tar.gz) I attached the exact file I just downloaded so you can see for yourself.

After installing from the above Joomla Extension Manager shows: VirtueMart_allinone    Administrator       Component    3.0.4.2 !!!! SO, YOU DISTRIBUTED THE WRONG VERSION...

So frustrating!!!!

GJC Web Design

  • 3rd party VirtueMart Developer
  • Super Hero
  • *
  • Posts: 10638
  • Virtuemart, Joomla & php developer
    • GJC Web Design
  • VirtueMart Version: 3.8.8
Re: Virtuemart auto-update fails - please help to solve! Thanks!
« Reply #43 on: February 20, 2015, 10:11:47 am »
relax - calm down -- I assume that it is just an oversight the version labelling

Is your site still working?  So where's the problem?

I also assume there was no updates in the latest AIO pack  - even if there were they have been installed... 
am sure the labelling issue will be fixed shortly - if you had the slightest idea of the amount of work that goes into VM you wouldn't be so fast to criticise
GJC Web Design
VirtueMart and Joomla Developers - php developers https://www.gjcwebdesign.com
VM3 AusPost Shipping Plugin - e-go Shipping Plugin - VM3 Postcode Shipping Plugin - Radius Shipping Plugin - VM3 NZ Post Shipping Plugin - AusPost Estimator
Samport Payment Plugin - EcomMerchant Payment Plugin - ccBill payment Plugin
VM2 Product Lock Extension - VM2 Preconfig Adresses Extension - TaxCloud USA Taxes Plugin - Virtuemart  Product Review Component
https://extensions.joomla.org/profile/profile/details/67210
Contact for any VirtueMart or Joomla development & customisation

alatak

  • Contributing Developer
  • Full Member
  • *
  • Posts: 2048
    • alatak.net
Re: Virtuemart auto-update fails - please help to solve! Thanks!
« Reply #44 on: February 20, 2015, 10:54:49 am »
Hello
Thank you for reporting this issue about the  update.
It is a mistake on the XML file which still have the old version number.
Don't worry, your update has been done.
I have fixed the issue.